/*
    Copyright (C) 2001  Tsinghuaeolus

    Authors : ChenJiang, YaoJinyi, CaiYunpeng, Lishi

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

	If you make any changes or have any comments we would appreciate a 
	message to yjy01@mails.tsinghua.edu.cn.
*/

#ifndef _clearball
#define _clearball
#include "types.h"
#include "command.h"
class ClearBall{
private:
	float clearsuccessvalue(float ang);
	float usefulness(float ang);
	float lastclearangle;
public:
	float GetClearAngle();
	bool Clear_Ball(Command& command);	
	bool Clear_Ball();
	AngleDeg GetLastClearBallAngle();
};
#endif