/*
    Copyright (C) 2001  Tsinghuaeolus

    Authors : ChenJiang, YaoJinyi, CaiYunpeng, Lishi

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

	If you make any changes or have any comments we would appreciate a 
	message to yjy01@mails.tsinghua.edu.cn.
*/
#ifndef _RSA
#define _RSA

class RSAEncrypt{
private:
	unsigned _int64 L,N,ONE;
	_int64 ZZXC(_int64 m,_int64);
	void mutiple(unsigned _int64,unsigned _int64,unsigned _int64*);
	unsigned _int64 Model_mutiple(unsigned _int64 m,unsigned _int64 n);
public:
	RSAEncrypt();
	RSAEncrypt(unsigned _int64 m, unsigned _int64 n = 1);
	void setkey(unsigned _int64 m, unsigned _int64 n = 1);
	unsigned _int64 Exponent(unsigned _int64 m,unsigned _int64 e);
	_int64 GenerateKey(unsigned _int64);
};

#endif