/*
    Copyright (C) 2001  Tsinghuaeolus

    Authors : ChenJiang, YaoJinyi, CaiYunpeng, Lishi

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

	If you make any changes or have any comments we would appreciate a 
	message to yjy01@mails.tsinghua.edu.cn.
*/

#ifndef _goingthroughspeed
#define _goingthroughspeed

#include "types.h"
#include "geometry.h"

class GT_speed_utils{
public:
	float calc_goingthroughspeed(Vector pos, float t);
	float calc_spottingspeed(Vector pos, float t);
	float calc_peakpoint(Vector pos);
	float calc_goalie_spottingspeed(Vector pos, float t);
	float calc_goalie_goingthroughspeed(Vector pos, float t);
	bool calc_interception_solution(Vector startpoint, float ballspeed, Vector& inf_sup);
};
#endif
